Bug 506547 - (davenull) ALSA does not properly detect all channels on card
ALSA does not properly detect all channels on card
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 13:34 EDT by David Fogle
Modified: 2010-06-28 09:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:06:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Fogle 2009-06-17 13:34:13 EDT
Description of problem:
I have an Acer 6930 laptop, and it has an ich9 intel HDA sound card, and it has front, center, and side channels, the LFE is tied to the side channel. I have had this laptop running 3 different distros over the last 6 months, and all have no issue with detecting and using these channels, including F11. Until a reboot or two after install that is. In the case of fedora, looking at alsa mixer after an install, it has all channels listed, just volume turned down. Reboot a few times, and only the front channel remains in alsa mixer. Nothing changes, and I have even copied know working alsa and pulseaudio configs to the machine from an Ubuntu (ew) install, and no change. 

Version-Release number of selected component (if applicable):
1.0.18

How reproducible:
100% on specified  hardware

Steps to Reproduce:
1.install
2.reboot a few times.
3.
  
Actual results:
Single channel of sound avail to alsa output

Expected results:
All channels avail


Additional info:
 I do not have any idea where to go from here, any help is great, I can fix it if I know what is wrong.
Comment 1 David Fogle 2009-06-17 13:45:26 EDT
I have run alsa-info on the computer, below is the emitted output.


http://www.alsa-project.org/db/?f=4427b0a4948ef9e453b3df0a2c8fd7d3a84ee1a0
Comment 2 David Fogle 2009-06-17 14:08:31 EDT
I just now removed pulseaudio packages from the system, no change, this is definately alsa as the cause, but interestingly enough, all of those extra channels that it could not see before are visible and modifiable, but they still do not output any sound to the channels.
Comment 3 Eric Moret 2009-06-17 14:12:27 EDT
Could you please try the latest alsa-plugins package from rawhide and let me know if that fixes your issue. If it does, I'll push the new package to F11
Comment 4 David Fogle 2009-06-17 14:23:22 EDT
Where would a guy find that package? I am rather new to Fedora, not linux, havent figured out all the places you guys have setup to find packages.
Comment 5 Eric Moret 2009-06-17 14:52:56 EDT
Rawhide is the development repo for the next release of Fedora. You can get rawhide packages by looking up the development tree on the mirror list. Check the wiki page at:
http://fedoraproject.org/wiki/Releases/Rawhide
Comment 6 Adam Williamson 2009-06-17 15:02:00 EDT
eric, I'm confused. there's no plain 'alsa-plugins' package, so it's not clear which one you're talking about. If you mean alsa-plugins-pulseaudio, David says the problem is still there without PA running, so how would it help anything? if you mean a different alsa-plugins package, which one exactly? alsa-plugins-upmix? just trying to understand this.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 David Fogle 2009-06-17 15:20:41 EDT
Well Eric, I have updated the alsa packages, no change, installed pulseaudio, no change...
Comment 8 David Fogle 2009-06-17 15:21:49 EDT
All I can think of if is the alsa drivers themselves.
Comment 9 Eric Moret 2009-06-17 15:45:23 EDT
Indeed I was not paying attention and assumed it could help to upgrade to latest alsa-plugins because the bug is opened against this package. You might want to change the bug to package alsa-lib if you think this is the culprit. Also the best way to address this issue may be to follow up with the upstream alsa project.

https://bugtrack.alsa-project.org/alsa-bug/login_page.php

http://www.alsa-project.org/main/index.php/Help_To_Debug
Comment 10 Adam Williamson 2009-06-17 16:14:04 EDT
eric: Lennart and Jaroslav tell me that there's basically no-one handling upstream ALSA bug reports any more, so in practice it's better to report them here and assign them to Jaroslav, who might actually get around to them sometime this century. :\

moving to alsa-lib.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 David Fogle 2009-06-17 16:46:52 EDT
Well, updating alsa libs did absolutely nothing either, I had upgraded them with everything else.
Comment 12 David Fogle 2009-06-17 17:22:51 EDT
After updating alsa-driver to 1.0.20 from the alsa project, the issue is resolved. This is a kernel issue then. Thanks for the help guys, how should I proceed from here on out?
Comment 13 Eric Moret 2009-06-17 18:03:30 EDT
Maybe reassigning this bug to kernel?
Comment 14 David Fogle 2009-06-17 18:09:52 EDT
Moving bug to kernel :)
Comment 15 David Fogle 2009-06-17 18:29:23 EDT
In order for this to work properly, the alsa packages from rawhide should me moved to 11, they are current stable from the alsa project though.
Comment 16 Adam Williamson 2009-06-17 18:50:07 EDT
no, it's not that simple. the alsa-driver bits live in the kernel, and are in the upstream kernel too; our kernels usually use whatever's latest in the upstream kernel, not whatever's latest at alsa-project.org, I believe.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 David Fogle 2009-06-17 18:57:35 EDT
(In reply to comment #16)
> no, it's not that simple. the alsa-driver bits live in the kernel, and are in
> the upstream kernel too; our kernels usually use whatever's latest in the
> upstream kernel, not whatever's latest at alsa-project.org, I believe.
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers  

That makes it a bit more of a hassle then. Compiling them from source works fine though, I can just keep updating if need be until the upstream is using what actually runs this beast of a lappy. At least I know what it is, I have also had a couple of people in the alsa channel on freenode try this, and it got 3-4 fedora users to a point where they had working sound for the first time.
Comment 18 Eric Moret 2009-06-17 19:11:14 EDT
David: If you could clearly identify the files that made it work, maybe the RH kernel team could create a patch and include it in the kernel package while waiting for upstream to merge?
Comment 19 Adam Williamson 2009-06-17 19:11:53 EDT
yeah, it often works as a sledgehammer approach to the problem, as obviously they progressively fix bugs in newer upstream ALSA releases. I did email jaroslav to ask what his policy was on backporting fixes / just updating the in-kernel ALSA wholesale, but he hasn't replied yet.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 20 David Fogle 2009-06-17 19:21:50 EDT
(In reply to comment #18)
> David: If you could clearly identify the files that made it work, maybe the RH
> kernel team could create a patch and include it in the kernel package while
> waiting for upstream to merge?  

Well, that could be daunting as hell, I could diff all the files from 1.0.18 and 1.0.20 and see what is there.
Comment 21 David Fogle 2009-06-17 19:24:00 EDT
Also to be noted, the alsa-driver version is an alpha of 1.0.18, there are 2 RCs, 1.0.19, and then 1.0.20 is current, so there is at least a legit reason to move away from an alpha.
Comment 22 David Fogle 2009-06-17 19:27:56 EDT
(In reply to comment #19)
> yeah, it often works as a sledgehammer approach to the problem, as obviously
> they progressively fix bugs in newer upstream ALSA releases. I did email
> jaroslav to ask what his policy was on backporting fixes / just updating the
> in-kernel ALSA wholesale, but he hasn't replied yet.
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers  

Fantastic, thanks for the help everyone :)

I have only seen the gentoo cats work faster than you guys. lol
Comment 23 David Fogle 2009-06-17 19:35:30 EDT
And as for the diff of all the files, a little under 3 MB of changes.
Comment 24 Eric Moret 2009-06-17 19:37:17 EDT
There must be some confusion here, how did you find out that the fedora kernel
includes 1.0.18a? For what I understand, fedora does NOT ship alsa-driver but
relies on the kernel itself to provide these driver files. Therefore a diff
would have to be done against what the kernel source provides and not against
alsa-driver-1.0.18a
Comment 25 David Fogle 2009-06-17 19:40:37 EDT
It does, if you run alsa-info on a fedora 11 install, it outputs the dirver version. Fedora 11's 2.6.29 kernel has the 1.0.18a build in it.
Comment 26 David Fogle 2009-06-17 19:52:05 EDT
Well, let me take the beginning of that sentence, it has alsa drivers, where they come from is beyond me though. I have tried to find any alsa related files in the kernel sources, really only found one so far.
Comment 27 David Fogle 2009-06-17 20:12:16 EDT
Well, screw me, rebooted the thing, and now sound on the channels I just fixed is gone again... So, looks like there is a little config file somewhere that the driver makes after starting the hardware the first time....
Comment 28 Adam Williamson 2009-06-18 11:52:26 EDT
what happens if you do "alsactl init"? as root.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 29 David Fogle 2009-06-18 14:01:46 EDT
Absolutely nothing, it still behaves in the same way, still claims to have the proper channels, nothing is muted, no sound other than front left/right. I do know for fact that ubuntu jaunty uses 1.0.17 alsa drivers, Fedora at 1.0.18a. I could not get the lower version to compile, so I could not confirm if this is a regression in alsa or what... 1.0.20 is the newest stable, and it does the exact same thing.
Comment 30 Bug Zapper 2010-04-27 11:02:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 31 Bug Zapper 2010-06-28 09:06:25 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.